List Off-ramp Intents
curl --request GET \
--url https://api.coinvoyage.io/v3/off-ramp/intents \
--header 'Authorization: <api-key>' \
--header 'Authorization-Signature: <authorization-signature>'import requests
url = "https://api.coinvoyage.io/v3/off-ramp/intents"
headers = {
"Authorization-Signature": "<authorization-signature>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Authorization-Signature': '<authorization-signature>',
Authorization: '<api-key>'
}
};
fetch('https://api.coinvoyage.io/v3/off-ramp/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"payment_rail": "ach",
"source": {
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"chain_id": 1,
"decimals": 6,
"id": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48-1",
"name": "USD Coin",
"price_usd": 1,
"symbol": "USDC"
}
},
"execution": {
"destination_tx_hash": "0x5678...efgh",
"estimated_duration_seconds": 120,
"expires_at": "2023-01-01T00:00:00Z",
"fee_tx_hash": "0xfee1...fee2",
"funding": {
"received_amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"remaining_amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"required_amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"transactions": [
{
"amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"tx_hash": "0x1234...abcd"
}
]
},
"input": {
"amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"balance": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"breakdown": {
"base": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"fees": {
"custom_fee": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"protocol_fee": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"relayer_fee": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"total_fee": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
}
},
"gas": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"total": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
}
},
"currency": {
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"chain_id": 1,
"decimals": 6,
"id": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48-1",
"name": "USD Coin",
"price_usd": 1,
"symbol": "USDC"
}
},
"output": {
"amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"amount_out_minimum": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"currency": {
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"chain_id": 1,
"decimals": 6,
"id": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48-1",
"name": "USD Coin",
"price_usd": 1,
"symbol": "USDC"
}
},
"payment_rail": "CRYPTO",
"recipient": "0x1234...abcd",
"refund": {
"address": "0x1234...abcd",
"reason": "execution failed: provider error",
"tx_hash": "0x9abc...ijkl"
},
"source_tx_hash": "0x1234...abcd",
"steps": [
{
"action": "swap",
"kind": "deposit",
"rail": "CRYPTO"
}
]
},
"id": "withdrawal_123",
"organization_id": "org_123",
"source_transaction_hash": "0xabc123...",
"status": "PENDING",
"type": "OFF_RAMP"
}
]
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}off-ramp
List Off-ramp Intents
GET
/
off-ramp
/
intents
List Off-ramp Intents
Authorizations
HMAC-SHA256 signature. See the Authorization-Signature header parameter on signed operations.
Headers
HMAC-SHA256 signature header: 'APIKey=<api_key>,signature=,timestamp=<unix_timestamp>'. The signature is computed over METHOD + path (with the /v3 prefix stripped) + timestamp.
Response
Off-ramp intents
Show child attributes
Show child attributes
Was this page helpful?
⌘I